package ink.wgink.module.file.service.fileclient;

import ink.wgink.module.file.pojo.dtos.fileclient.FileClientDTO;
import ink.wgink.module.file.pojo.vos.fileremote.FileClientVO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IFileRemoteService
 * @Description: 文件远程
 * @Author: wanggeng
 * @Date: 2022/8/4 21:32
 * @Version: 1.0
 */
public interface IFileClientService {

    /**
     * 保存
     *
     * @param fileClientVO
     */
    void save(FileClientVO fileClientVO);

    /**
     * 删除
     *
     * @param ids
     */
    void remove(List<String> ids);

    /**
     * 更新状态
     *
     * @param fileRemoteId
     * @param fileClientVO
     */
    void update(String fileRemoteId, FileClientVO fileClientVO);

    /**
     * 详情
     *
     * @param params
     * @return
     */
    FileClientDTO get(Map<String, Object> params);

    /**
     * 详情
     *
     * @param fileRemoteId
     * @return
     */
    FileClientDTO get(String fileRemoteId);

    /**
     * 列表
     *
     * @param params
     * @return
     */
    List<FileClientDTO> list(Map<String, Object> params);

    /**
     * 分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<FileClientDTO>> listPage(ListPage page);
}
